felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Carsten Ziegeler <cziege...@apache.org>
Subject Re: A required class was missing while executing org.apache.felix:maven-scr-plugin
Date Tue, 04 Mar 2014 12:07:36 GMT
Hi,

could you please open an issue for this and maybe attach a simple test
scenario?

Thanks
Carsten


2014-03-03 21:11 GMT+01:00 Reto Gmür <reto@apache.org>:

> Hi,
>
> I'm having a strange problem with the scr-plugin.
>
> I update a project (projectA) to use the org.osgi.service.component
> annotations.
>
> Now dependent projects fail with the messages like the following:
>
> Failed to execute goal org.apache.felix:maven-scr-plugin:1.15.0:scr
> (generate-scr-scrdescriptor) on project silklinking-service: Execution
> generate-scr-scrdescriptor of goal
> org.apache.felix:maven-scr-plugin:1.15.0:scr failed: A required class was
> missing while executing org.apache.felix:maven-scr-plugin:1.15.0:scr:
> org/osgi/service/component/annotations/Component
>
> if and only if:
>
> - they depend on projectA and the dependency is explicit in the pom
> (transitive dependency isn't enough)
> - they use a version of the scr plugin more recent than 1.7.4
>
> Surprisingly the error occurs even if I add
> org.apache.felix.scr.ds-annotations:1.2.4 as a dependency to the dependent
> project.
>
> Any idea what is causing this? Any work-around  other than downgrading to
> version 1.7.4 in the dependent projects?
>
> Cheers,
> Reto
>



-- 
Carsten Ziegeler
cziegeler@apache.org

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message